import { ReactNode } from "react";
export declare class PersistStateClient {
    fulfilledFlagMap: Map<string, true>;
    cacheMap: Map<string, unknown>;
    constructor();
}
export interface PersistStateProviderProps {
    client: PersistStateClient;
}
export declare function PersistStateProvider(props: {
    children: ReactNode;
    client: PersistStateClient;
}): JSX.Element;
export declare function usePersistStateProvider(): PersistStateProviderProps;
