"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
describe("isFunction", function () {
    it("returns true when it's a function", function () {
        expect((0, utils_1.isFunction)(function () { return null; })).toEqual(true);
    });
    it("returns false when it's not a function", function () {
        expect((0, utils_1.isFunction)(null)).toEqual(false);
        expect((0, utils_1.isFunction)("foo")).toEqual(false);
        expect((0, utils_1.isFunction)(123)).toEqual(false);
    });
});
